Rescale Image Application

Brief Description

Rescale the image between two given values.

Tags

Image Manipulation

Long Description

This application scale the given image pixel intensity between two given values. By default min (resp. max) value is set to 0 (resp. 255).

Parameters

- [param] Input Image (-in): The image to scale.

- [param] Output Image (-out): The rescaled image filename.

- [param] Available RAM (-ram): Available RAM

- [param] Output min value (-outmin): Minimum value of the output image.

- [param] Output max value (-outmax): Maximum value of the output image.

Limitations

None

Authors

OTB-Team

See also

Example of use

- Parameters to set value:

- Input Image: poupees.tif

- Output Image: rescaledImage.tif

- Output min value: 20

- Output max value: 150

- Command line to execute:

otbcli_Rescale -in poupees.tif -out rescaledImage.tif -outmin 20 -outmax 150